summaryrefslogtreecommitdiffstats
path: root/src/test/system/rerun.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-21 11:54:28 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-21 11:54:28 +0000
commite6918187568dbd01842d8d1d2c808ce16a894239 (patch)
tree64f88b554b444a49f656b6c656111a145cbbaa28 /src/test/system/rerun.sh
parentInitial commit. (diff)
downloadceph-b26c4052f3542036551aa9dec9caa4226e456195.tar.xz
ceph-b26c4052f3542036551aa9dec9caa4226e456195.zip
Adding upstream version 18.2.2.upstream/18.2.2
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/test/system/rerun.sh')
-rwxr-xr-xsrc/test/system/rerun.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/src/test/system/rerun.sh b/src/test/system/rerun.sh
new file mode 100755
index 000000000..5d7d4635b
--- /dev/null
+++ b/src/test/system/rerun.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+[ -z $ITERATIONS ] && ITERATIONS=10
+
+TMPDIR=`mktemp -d -t rerun_logs.XXXXXXXXXX` || exit 1
+
+rm -rf $TMPDIR/logs
+mkdir $TMPDIR/logs
+
+for i in `seq 1 $ITERATIONS`; do
+ echo "********************* iteration $i *********************"
+ LOG_FILE_BASE=$TMPDIR/logs $EXE "$@"
+ if [ $? -ne 0 ]; then
+ die "failed! logs are in $TMPDIR/logs"
+ fi
+done
+
+echo "********************* success *********************"
+rm -rf $TMPDIR
+exit 0